:root
{
   --c-texture-bark: #553A2A;
   --c-texture-solid: #863c0a;

   /* Tailwind Reference */
   --c-slate-200: #e2e8f0;
   --c-slate-800: #1e293b;
   --c-slate-950: #020617;

   --c-neutral-50: #fafafa;
   --c-neutral-800: #292524;
   --c-neutral-900: #171717;

   --c-stone-50: #fafaf9;

   --c-amber-100: #fef3c7;
   --c-amber-400: #fbbf24;
   --c-amber-500: #f59e0b;
   --c-amber-950: #451a03;

   --c-lime-400: #a3e635;
   --c-lime-600: #65a30d;
   --c-lime-900: #365314;

   --c-sky-400: #38bdf8;
   --c-sky-500: #0ea5e9;

   --c-fuchsia-500: #d946ef;
   /* Tailwind Reference | END */

   --s-soft: 0 1px 2px #0000002A;

   --h-edge: 26px;
   --w-edge: 18px;
   --w-sect-md: 1000px;
   --w-sect-lg: 1300px;

   --f-title: "Signika Negative", sans-serif;
   --f-text: "Bitter", serif;
   --f-quote: "Merienda", cursive;
   --f-size: 16px;
}

html
{
   min-height: 100vh;
}

body
{
   overflow-x: hidden;

   margin: 0;
   min-height: 100vh;

   font-family: var(--f-text);
   font-optical-sizing: auto;
   font-size: var(--f-size);
   line-height: 1.35;
   letter-spacing: .03em;

   color: var(--c-tx);
   background-color: var(--c-bg);
}

::selection
{
   color: var(--c-neutral-900);
   background-color: color-mix(in srgb, var(--c-amber-400) 75%, transparent);
}

a
{
   color: var(--c-lime-600);

   transition: color .25s ease-in;

   &:hover
   {
      color: var(--c-lime-400);
   }
}

h1, h2
{
   margin: 0;

   font-family: var(--f-title);
   font-weight: 450;
   font-size: 2rem;
   line-height: 1.1;
}

blockquote
{
   --blockquote-bg: color-mix(in srgb, var(--c-lime-600), transparent 75%);
   --blockquote-filter: blur(5px);

   position: relative;

   margin: 0;
   border-radius: 15px;
   padding: 16px 20px;

   filter: drop-shadow(var(--s-soft));
   background-color: var(--blockquote-bg);
   backdrop-filter: var(--blockquote-filter);

   transition: backdrop-filter .15s ease-out;

   cursor: pointer;

   &:hover
   {
      --blockquote-filter: blur(15px);
   }

   &::before
   {
      content: '';
      position: absolute;
      top: 100%;
      left: 50%;

      clip-path: polygon(0 0, 100% 0, 50% 100%);

      display: block;
      width: 20px;
      height: 8px;

      transform-origin: top center;
      transform: translateX(-50%);

      background-color: var(--blockquote-bg);
      backdrop-filter: var(--blockquote-filter);
   }

   > p
   {
      margin: 0;

      font-family: var(--f-quote);
      font-weight: 300;
      font-size: 1.1em;
   }

   > footer
   {
      margin-top: .5em;
      text-align: end;
   }

   > footer::before
   {
      content: '— ';
   }
}

ul
{
   display: flex;
   flex-direction: column;
   gap: .25em;

   margin: 0;
   padding-inline-start: 3ch;

   ::marker
   {
      content: '♻️  ';
   }
}

trailing-cursor
{
   position: absolute;
   top: 0;
   left: 0;
   height: 0;
}

.nobreak
{
   white-space: nowrap;
}

.tx-outline
{
   filter:
      drop-shadow(-1px -1px 0 var(--c-tx-outline)) drop-shadow(1px -1px 0 var(--c-tx-outline)) drop-shadow(-1px 1px 0 var(--c-tx-outline)) drop-shadow(1px 1px 0 var(--c-tx-outline));
}

.tx-leaf
{
   color: transparent;
   background: url(res/leaf.webp) border-box left center no-repeat;
   background-size: 95vw;
   background-clip: text;
   -webkit-background-clip: text;
}

.animate-badump
{
   animation: ba-dump 1s ease 0s infinite both alternate-reverse;
}

/* Top-level Sections */
body > header,
body > section,
body > div,
body > footer
{
   position: relative;

   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: center;

   box-sizing: border-box;
   padding-block: calc(var(--h-edge) * 2);
   padding-inline: var(--w-edge);

   color: var(--c-neutral-50);

   &::before
   {
      content: '';

      position: absolute;
      inset-inline-start: 50%;
      translate: -50%;
      z-index: -1;

      width: 101vw;
      height: 100%;

      background-color: var(--c-neutral-900);
   }
}

body > header
{
   height: 85vh;

   color: var(--c-stone-50);

   &::before
   {
      background:
         url(res/texture-sky.png) repeat center,
         var(--c-sky-400);

      animation: floating-cloud 120s linear 0s infinite;
   }

   h1
   {
      font-weight: 800;
      font-size: 2.7em;
      line-height: 1.2;
      letter-spacing: .1ch;

      --c-tx-outline: var(--c-amber-100);
   }
}

body > section
{
   gap: var(--h-edge);

   &::before
   {
      background: var(--c-lime-900) url(res/texture-leaf.png) fixed repeat center;
   }

   a
   {
      color: var(--c-amber-500);

      &:hover
      {
         color: var(--c-amber-400);
      }
   }

   h2
   {
      line-height: 1;
   }

   > article, .action-call
   {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      gap: .75em;

      > h2, > p, > ul
      {
         margin: 0;
      }
   }
}

.testimonial
{
   gap: var(--testimonial-gap, var(--h-edge));

   &::before
   {
      background: var(--c-texture-bark) url(res/texture-bark.webp) fixed repeat center;
   }

   > p
   {
      margin: 0;

      font-weight: 500;
      text-align: center;
   }
}

.events
{
   display: grid;
   grid-template-areas:
      'title'
      'thumbnail'
      'content';
   gap: 15px;

   &::before
   {
      background:
         url(res/texture-solid.webp) repeat center,
         var(--c-texture-solid);
   }

   > h2
   {
      grid-area: title;
      align-self: end;
   }

   > img
   {
      grid-area: thumbnail;
      display: block;

      object-fit: cover;
      object-position: center;

      border-radius: 7px;
      width: 100%;
      height: 20vh;

      box-shadow: var(--s-soft), var(--s-soft);
   }

   > p
   {
      grid-area: content;
      align-self: start;

      margin: 0;
   }
}

body > footer
{
   color: #fafafa;

   padding-block: calc(var(--h-edge) * 3);

   &::before
   {
      background: var(--c-neutral-800) url(res/texture-stardust.png) repeat center;
   }

   > em
   {
      font-family: var(--f-title);
      font-style: normal;
      font-size: 2em;
      line-height: 1;
      text-transform: uppercase;
   }

   > p
   {
      margin: .5em 0 0;
   }
}

@media screen and (min-width: 750px)
{
   :root
   {
      --h-edge: 24px;
      --w-edge: 48px;

      --f-size: 18px;
   }

   body
   {}

   h2
   {
      font-size: 3em;
   }

   blockquote
   {
      &::before
      {
         left: unset;
         top: 50%;
         right: 100%;

         transform: translateX(50%) rotate(90deg);
      }
   }

   .tx-leaf
   {
      background-position: center;
      /* "Our Earth Day" cost 13 chars + 12 padding chars due to ba-dump animation */
      background-size: 25ch;
   }

   body > header,
   body > section,
   body > div,
   body > footer
   {
      margin: auto;
      padding-block: calc(var(--h-edge) * 4);
      max-width: var(--w-sect-md);
   }

   body > header
   {
      text-align: center;

      h1
      {
         font-size: 7em;
         line-height: 1.1;
      }
   }

   body > section
   {
      display: grid;
      grid-template-areas:
         "why why now now"
         "fac how how how";
      grid-template-columns: 1.2fr 1.6fr .4fr 1fr;
      grid-template-rows: auto 1fr;
      align-content: start;
      justify-content: start;
      gap: 1ch;

      margin: auto;
      max-width: var(--w-sect-lg);

      h2
      {
         font-size: 2rem;
      }

      > article, .action-call
      {
         gap: .5em;

         box-sizing: border-box;
         border: 1px solid var(--c-slate-200);

         padding: 28px 32px;
         height: 100%;
         background-color: color-mix(in srgb, var(--c-slate-950) 55%, transparent);
         backdrop-filter: blur(0);

         transition:
            border-color .4s ease,
            backdrop-filter .75s ease-out;

         &:hover
         {
            border-color: var(--sect-border-color-hover, var(--c-slate-200));
            backdrop-filter: blur(20px);
         }
      }

      > :nth-child(1)
      {
         grid-area: fac;
         --sect-border-color-hover: var(--c-amber-400);
      }

      > :nth-child(2)
      {
         grid-area: why;
         --sect-border-color-hover: var(--c-sky-500);
      }

      > :nth-child(3)
      {
         grid-area: how;
         --sect-border-color-hover: var(--c-lime-400);
      }

      > :nth-child(4)
      {
         grid-area: now;
         --sect-border-color-hover: var(--c-fuchsia-500);
      }
   }

   .testimonial
   {
      --testimonial-gap: calc(var(--h-edge) * 2);
      flex-direction: row;
      flex-wrap: wrap;

      > h2
      {
         width: 100%;

         text-align: center;
      }

      > blockquote,
      > p
      {
         box-sizing: border-box;
         width: calc(50% - var(--testimonial-gap) / 2);
      }

      > blockquote
      {
         order: 2;
      }

      > p
      {
         order: 1;

         text-align: end;
      }
   }

   .events
   {
      grid-template-areas:
         'thumbnail title'
         'thumbnail content';
      grid-template-columns: 1fr 1fr;
      grid-template-rows: auto auto;
      gap: var(--h-edge) calc(var(--h-edge) * 2);

      > img
      {
         border-radius: 20px;
         aspect-ratio: 1;
         height: auto;
      }
   }
}

@keyframes ba-dump
{
   from
   {
      letter-spacing: normal;
   }

   to
   {
      letter-spacing: .12ch;
   }
}

@keyframes floating-cloud
{
   from
   {
      background-position: top 50% left 0;
   }

   to
   {
      background-position: top 150% left 100%;
   }
}